import * as AdmZip from 'adm-zip';
import ProgressCallback from '../interfaces/ProgressCallback.interface';
import { UnzipOptions } from '../interfaces/Unzipper.interface';
export default class Unzipper {
    private unzipper;
    files: AdmZip.IZipEntry[];
    totallSize: number;
    archivePath: string;
    constructor(archivePath: string);
    getArchivedFiles(unzipper: AdmZip): AdmZip.IZipEntry[];
    getTotallSize(): number;
    unzip(dest: string, { clean, patterns }?: UnzipOptions, onProgressCallback?: ProgressCallback): Promise<void>;
}
